# $Revision: 1.9 $, $Date: 2004/03/16 23:57:46 $
%define 	modulename pam_utmp_auth
Summary:	PAM module for login without password for logged users
Summary(pl):	Modu PAM pozwalajcy na logowanie si bez hasa
Name:		pam-%{modulename}
Version:	1.0
Release:	2
Epoch:		1
License:	GPL v2
Group:		Base
Vendor:		Wojtek Kaniewski <wojtekka@irc.pl>
Source0:	pam_utmp.c
# based on ftp://dev.null.pl/pub/pam_utmp.c with small changes,
# don't put into df - it's only small text file.
URL:		http://dev.null.pl/
BuildRequires:	pam-devel
Provides:	%{modulename}
Obsoletes:	pam_utmp_auth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PAM module which allow login without password for currently logged
users.

%description -l pl
Modu PAM pozwalajcy na logowanie si bez podawania hasa dla ju
zalogowanych uytkownikw.

%prep
%setup -q -c -T
cp -f %{SOURCE0} .

%build
%{__cc} %{rpmcflags} -fPIC -c pam_utmp.c
ld -shared -x -o %{modulename}.so pam_utmp.o -lpam
head -n 19 pam_utmp.c >README

%install
rm -rf $RPM_BUILD_ROOT
install -D %{modulename}.so $RPM_BUILD_ROOT/%{_lib}/security/%{modulename}.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) /%{_lib}/security/%{modulename}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_utmp_auth.spec,v $
Revision 1.9  2004/03/16 23:57:46  qboosh
- lib64 support, release 2 for Ac

Revision 1.8  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.7  2003/11/28 09:53:49  qboosh
- Obsoletes for old name without macro, cosmetics

Revision 1.6  2003/11/25 14:41:20  siefca
- Epoch added

Revision 1.5  2003/07/03 17:37:20  blues
- cosmetics

Revision 1.4  2003/07/01 16:54:24  undefine
- small simplification, stbr ra-updates-general, ac and others ;)

Revision 1.3  2003/07/01 16:48:29  undefine
- 3 lines more in comment

Revision 1.2  2003/07/01 16:43:27  undefine
- renamed to pam_utmp_auth (consulted with wojtekka)

Revision 1.1  2003/07/01 16:41:32  undefine
- renamed to pam-pam_utmp_auth

Revision 1.2  2003/06/30 21:56:49  undefine
Date: Mon, 30 Jun 2003 22:39:23 +0200 (CEST)
From: Wojtek Kaniewski <wojtekka@dev.null.pl>
To: undefine@aramin.one.pl

[..]
> bd wdziczny za sugestie oraz wyjanienie kwesti licencji.

GPLv2.

Revision 1.1  2003/06/30 20:17:46  undefine
- initial pld version.
  TODO - license?
